# Ogre::BspLevel::BspVertex Struct Reference

Vertex format for fixed geometry. More...

`#include <OgreBspLevel.h>`

List of all members.

## Public Attributes

float | position [3]
float | normal [3]
int | colour
float | texcoords [2]
float | lightmap [2]

## Detailed Description

Vertex format for fixed geometry.

Note that in this case vertex components (position, normal, texture coords etc) are held interleaved in the same buffer. However, the format here is different from the format used by Quake because older Direct3d drivers like the vertex elements to be in a particular order within the buffer. See VertexDeclaration for full details of this marvellous(not) feature.

Definition at line 114 of file OgreBspLevel.h.

## Member Data Documentation

int Ogre::BspLevel::BspVertex::colour

| Definition at line 118 of file OgreBspLevel.h.

float Ogre::BspLevel::BspVertex::lightmap[2]

| Definition at line 120 of file OgreBspLevel.h.

float Ogre::BspLevel::BspVertex::normal[3]

| Definition at line 117 of file OgreBspLevel.h.

float Ogre::BspLevel::BspVertex::position[3]

| Definition at line 116 of file OgreBspLevel.h.

float Ogre::BspLevel::BspVertex::texcoords[2]

| Definition at line 119 of file OgreBspLevel.h.

The documentation for this struct was generated from the following file:

- OgreBspLevel.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:42 2005